Name:		arm-boot-config
Version:	0.63
Release:	3%{?dist}
Summary:	ARM Boot Configuration library and boot script generator
License:	GPLv2+
Group:		System Environment/Base
URL:		https://git.fedorahosted.org/git/arm-boot-config.git
Source0:	%{name}-%{version}.tar.bz2
ExclusiveArch:	%{arm}
Requires:	grubby
Requires:	kernel
Requires:	uboot-tools

# There are no binaries in this package, but it is for 32 bit ARM systems only.
%global debug_package %{nil}

%description
ARM Boot Configuration library and boot script generator

%prep
%setup -q

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_defaultdocdir/%{name}
cp LICENSE Authors src/a-b-c/README $RPM_BUILD_ROOT/%_defaultdocdir/%{name}
cp -a src/a-b-c/uenv-examples $RPM_BUILD_ROOT/%_defaultdocdir/%{name}/uenv-examples

%{_fixperms} $RPM_BUILD_ROOT/*

%check
true

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/arm-boot-config
%config %{_sysconfdir}/a-b-c.d
%_sbindir/a-b-c
%_defaultdocdir/%{name}

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr  2 2014 Brendan Conoboy <blc@redhat.com> 0.63-1
- Make bootm_size setting conditional, fix BBW/BBM load addresses.

* Thu Mar 13 2014 Brendan Conoboy <blc@redhat.com> 0.62-1
- Updates for i.MX6

* Wed Mar 12 2014 Peter Robinson <perobins@redhat.com> 0.61-1
- Set bootm_size for dtb passing issues, use better load addresses for TI

* Tue Nov 19 2013 Jon Disnard <jdisnard@redhat.com> - 0.60-1
- Handle comments in fstab when divining device for /

* Thu Sep 12 2013 Brendan Conoboy <blc@redhat.com> - 0.59-1
- Various cleanups and environment size optimizations
- Add initial wandboard & utilite support.

* Tue Aug 6 2013 Brendan Conoboy <blc@redhat.com> - 0.57-1
- Unversion docdir.
- Small code and documentation improvements.

-* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
-- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 27 2013 Brendan Conoboy <blc@redhat.com> - 0.56-1
- Bug fix for conditional running of findfdt.
- Disable 'quiet rhgb' when using debug mode.

* Fri Jun 21 2013 Brendan Conoboy <blc@redhat.com> - 0.55-1
- Consolidate all TI boards into one file, enhance.
- Use findfdt where available to set default u_dtb value

* Thu Jun 20 2013 Brendan Conoboy <blc@redhat.com> - 0.54-1
- Move more variables out of 'setenv' space for OMAP.

* Wed Jun 19 2013 Brendan Conoboy <blc@redhat.com> - 0.53-1
- Use /etc/locale.conf, /etc/vconsole.conf, /etc/sysconfig/arm-boot-config
  to generate default kernel command line.

* Fri Jun 7 2013 Brendan Conoboy <blc@redhat.com> - 0.52-1
- Ignore rpmsave/rpmnew files
- Honor UBOOT_ARGS from /etc/sysconfig/uboot

* Thu May 23 2013 Brendan Conoboy <blc@redhat.com> - 0.51-1
- Revise Tegra fix to protect OMAP, honor soc=omap[34].

* Thu May 23 2013 Brendan Conoboy <blc@redhat.com> - 0.50-1
- Use pass_dtb when skip_dtb is set but uboot addr is needed.
- Small change to hopefully support wider range of Tegra devices

* Wed May 22 2013 Brendan Conoboy <blc@redhat.com> - 0.49-1
- Workarounds for OMAP malloc issues.
- Support TI board names via their dtb name.
- Do not run on installation - have grubby call us.

* Tue May 21 2013 Brendan Conoboy <blc@redhat.com> - 0.48-1
- Add rescue, single user, and debug boot configurations.

* Mon May 20 2013 Brendan Conoboy <blc@redhat.com> - 0.47-1
- Add 'clist' menu feature to set board configuration.

* Thu May 16 2013 Brendan Conoboy <blc@redhat.com> - 0.46-1
- Fixes for TI board detection, require kernel.

* Wed May 15 2013 Brendan Conoboy <blc@redhat.com> - 0.45-1
- Evaluate u_dtb to decide which kernel to use by default.

* Tue May 14 2013 Brendan Conoboy <blc@redhat.com> - 0.43-1
- Updates to pass rpmlint

* Fri May 10 2013 Brendan Conoboy <blc@redhat.com> - 0.40
- Begin at version 0.40
